{pkgs, ...}: {
  config.targets.genericLinux.enable = true;

  config.home.packages = with pkgs; [
    gnome-console
    auto-cpufreq
  ];

  config.programs.bash.shellAliases = {
    hms = "home-manager switch --flake $HOME/.config/home-manager#laptop";
  };

  config.services = {
    syncthing.enable = true;
  };

  # Changes specific to the laptop
  config.dconf.settings = {
    "org/gnome/settings-daemon/plugins/power" = {
      sleep-inactive-ac-type = "nothing";
      power-button-action = "nothing";
    };
  };

  config.nix = {
    package = pkgs.nix;
    settings.experimental-features = ["nix-command" "flakes"];
  };
}
