{pkgs, ...}: {
  config.targets.genericLinux.enable = false;

  # Changes specific to the PC
  config.home.packages = with pkgs; [
    davinci-resolve

    # Games
    osu-lazer
  ];

  config.programs.bash.shellAliases = {
    hms = "home-manager switch --flake $HOME/.config/home-manager";
  };

  config.dconf.settings = {
    "org/gnome/settings-daemon/plugins/power" = {
      sleep-inactive-ac-type = "nothing"; # Automatic suspend/hibernation creates a suspend/hibernation loop
      power-button-action = "suspend";
    };
  };
}
